<include src="{{LISTBOX_PATH}}listbox.html" />

<webbox id="rptPaymentFilter">

<Recordset ID="payment_types">
  <Query>SELECT type_id AS id, type_name AS label FROM payment_types</Query>
</Recordset>

<form name="rptPaymentFilter" onsubmit="return false;">
<input type="submit" class="hidden_submit" value=""
       onclick="this.focus(); refresh();" />
<table class="h_filter" cellspacing="1" cellpadding="3">
  <tr>
    <td>
      <include src="{{TPL}}filter/date/h_date.html" />
    </td>
    <td width="10"></td>
    <td>
      T_("Type"):
      <webobject class="listbox" name="type"
                 value="{{type}}" 
                 rs="payment_types"
                 onchange="set_listbox(this)" />
    </td>
    <td width="10"></td>
    <td>
      T_("Partner"):
      <input type="text" name="partner" value="{{partner}}" size="10"
             onblur="set_textbox(this)" />
    </td>
    <td width="10"></td>
    <td align="right">
      <a class="button" href="javascript:refresh()">T_("Refresh")</a>
    </td>
  </tr>
</table>
</form>
</webbox>
